Bug 1104206 - Upgrade JBoss Web to 7.4.5.Final (from 7.4.4.Final)
Summary: Upgrade JBoss Web to 7.4.5.Final (from 7.4.4.Final)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER6
: EAP 6.3.0
Assignee: Rémy Maucherat
QA Contact: Radim Hatlapatka
Russell Dickenson
URL:
Whiteboard:
Depends On: 1102010
Blocks: 1102161 1102196 1102677 1103596 1103808 1104139 1105160 1106492 1109001
TreeView+ depends on / blocked
 
Reported: 2014-06-03 13:48 UTC by Rémy Maucherat
Modified: 2014-06-28 15:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-28 15:43:43 UTC
Type: Component Upgrade


Attachments (Terms of Use)

Description Rémy Maucherat 2014-06-03 13:48:52 UTC
Description of problem:
Fix for websocket issues.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jean-frederic Clere 2014-06-03 14:18:28 UTC
It fixes:
https://bugzilla.redhat.com/show_bug.cgi?id=1103596 (the loop and the leak is gone).
https://bugzilla.redhat.com/show_bug.cgi?id=1100491 (a synchronized has been added to the buffer).
https://bugzilla.redhat.com/show_bug.cgi?id=1104139 (just the NIO2 connector).
https://bugzilla.redhat.com/show_bug.cgi?id=1103019 aka JBWEB-300.

Comment 2 Radim Hatlapatka 2014-06-10 08:02:13 UTC
I have verified, that JBossWeb was in EAP 6.3.0.ER7 upgraded to 7.4.5


Note You need to log in before you can comment on or make changes to this bug.